#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include "cydevice.h"
#include "cydevice_trm.h"

/* Vr */
#define Vr__0__INTTYPE CYREG_PICU0_INTTYPE0
#define Vr__0__MASK 0x01u
#define Vr__0__PC CYREG_PRT0_PC0
#define Vr__0__PORT 0u
#define Vr__0__SHIFT 0u
#define Vr__AG CYREG_PRT0_AG
#define Vr__AMUX CYREG_PRT0_AMUX
#define Vr__BIE CYREG_PRT0_BIE
#define Vr__BIT_MASK CYREG_PRT0_BIT_MASK
#define Vr__BYP CYREG_PRT0_BYP
#define Vr__CTL CYREG_PRT0_CTL
#define Vr__DM0 CYREG_PRT0_DM0
#define Vr__DM1 CYREG_PRT0_DM1
#define Vr__DM2 CYREG_PRT0_DM2
#define Vr__DR CYREG_PRT0_DR
#define Vr__INP_DIS CYREG_PRT0_INP_DIS
#define Vr__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define Vr__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Vr__LCD_EN CYREG_PRT0_LCD_EN
#define Vr__MASK 0x01u
#define Vr__PORT 0u
#define Vr__PRT CYREG_PRT0_PRT
#define Vr__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Vr__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Vr__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Vr__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Vr__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Vr__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Vr__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Vr__PS CYREG_PRT0_PS
#define Vr__SHIFT 0u
#define Vr__SLW CYREG_PRT0_SLW

/* DMA */
#define DMA__DRQ_CTL CYREG_IDMUX_DRQ_CTL2
#define DMA__DRQ_NUMBER 10u
#define DMA__NUMBEROF_TDS 0u
#define DMA__PRIORITY 2u
#define DMA__TERMIN_EN 0u
#define DMA__TERMIN_SEL 0u
#define DMA__TERMOUT0_EN 0u
#define DMA__TERMOUT0_SEL 0u
#define DMA__TERMOUT1_EN 0u
#define DMA__TERMOUT1_SEL 0u
#define DMA_CHANNELS_USED__MASK0 0x00000400u

/* Vin */
#define Vin__0__INTTYPE CYREG_PICU0_INTTYPE1
#define Vin__0__MASK 0x02u
#define Vin__0__PC CYREG_PRT0_PC1
#define Vin__0__PORT 0u
#define Vin__0__SHIFT 1u
#define Vin__AG CYREG_PRT0_AG
#define Vin__AMUX CYREG_PRT0_AMUX
#define Vin__BIE CYREG_PRT0_BIE
#define Vin__BIT_MASK CYREG_PRT0_BIT_MASK
#define Vin__BYP CYREG_PRT0_BYP
#define Vin__CTL CYREG_PRT0_CTL
#define Vin__DM0 CYREG_PRT0_DM0
#define Vin__DM1 CYREG_PRT0_DM1
#define Vin__DM2 CYREG_PRT0_DM2
#define Vin__DR CYREG_PRT0_DR
#define Vin__INP_DIS CYREG_PRT0_INP_DIS
#define Vin__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define Vin__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Vin__LCD_EN CYREG_PRT0_LCD_EN
#define Vin__MASK 0x02u
#define Vin__PORT 0u
#define Vin__PRT CYREG_PRT0_PRT
#define Vin__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Vin__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Vin__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Vin__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Vin__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Vin__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Vin__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Vin__PS CYREG_PRT0_PS
#define Vin__SHIFT 1u
#define Vin__SLW CYREG_PRT0_SLW

/* isr */
#define isr__ES2_PATCH 0u
#define isr__INTC_CLR_EN_REG CYREG_INTC_CLR_EN3
#define isr__INTC_CLR_PD_REG CYREG_INTC_CLR_PD3
#define isr__INTC_MASK 0x10u
#define isr__INTC_NUMBER 28u
#define isr__INTC_PRIOR_NUM 7u
#define isr__INTC_PRIOR_REG CYREG_INTC_PRIOR28
#define isr__INTC_SET_EN_REG CYREG_INTC_SET_EN3
#define isr__INTC_SET_PD_REG CYREG_INTC_SET_PD3
#define isr__INTC_VECT (CYREG_INTC_VECT_MBASE+0x38u)

/* Vout */
#define Vout__0__INTTYPE CYREG_PICU0_INTTYPE3
#define Vout__0__MASK 0x08u
#define Vout__0__PC CYREG_PRT0_PC3
#define Vout__0__PORT 0u
#define Vout__0__SHIFT 3u
#define Vout__AG CYREG_PRT0_AG
#define Vout__AMUX CYREG_PRT0_AMUX
#define Vout__BIE CYREG_PRT0_BIE
#define Vout__BIT_MASK CYREG_PRT0_BIT_MASK
#define Vout__BYP CYREG_PRT0_BYP
#define Vout__CTL CYREG_PRT0_CTL
#define Vout__DM0 CYREG_PRT0_DM0
#define Vout__DM1 CYREG_PRT0_DM1
#define Vout__DM2 CYREG_PRT0_DM2
#define Vout__DR CYREG_PRT0_DR
#define Vout__INP_DIS CYREG_PRT0_INP_DIS
#define Vout__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define Vout__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Vout__LCD_EN CYREG_PRT0_LCD_EN
#define Vout__MASK 0x08u
#define Vout__PORT 0u
#define Vout__PRT CYREG_PRT0_PRT
#define Vout__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Vout__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Vout__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Vout__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Vout__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Vout__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Vout__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Vout__PS CYREG_PRT0_PS
#define Vout__SHIFT 3u
#define Vout__SLW CYREG_PRT0_SLW

/* Opamp_ABuf */
#define Opamp_ABuf__CR CYREG_OPAMP2_CR
#define Opamp_ABuf__MX CYREG_OPAMP2_MX
#define Opamp_ABuf__NPUMP_OPAMP_TR0 CYREG_NPUMP_OPAMP_TR0
#define Opamp_ABuf__PM_ACT_CFG CYREG_PM_ACT_CFG4
#define Opamp_ABuf__PM_ACT_MSK 0x04u
#define Opamp_ABuf__PM_STBY_CFG CYREG_PM_STBY_CFG4
#define Opamp_ABuf__PM_STBY_MSK 0x04u
#define Opamp_ABuf__RSVD CYREG_OPAMP2_RSVD
#define Opamp_ABuf__SW CYREG_OPAMP2_SW
#define Opamp_ABuf__TR0 CYREG_OPAMP2_TR0
#define Opamp_ABuf__TR1 CYREG_OPAMP2_TR1

/* PGA_1_SC */
#define PGA_1_SC__BST CYREG_SC2_BST
#define PGA_1_SC__CLK CYREG_SC2_CLK
#define PGA_1_SC__CMPINV CYREG_SC_CMPINV
#define PGA_1_SC__CMPINV_MASK 0x04u
#define PGA_1_SC__CPTR CYREG_SC_CPTR
#define PGA_1_SC__CPTR_MASK 0x04u
#define PGA_1_SC__CR0 CYREG_SC2_CR0
#define PGA_1_SC__CR1 CYREG_SC2_CR1
#define PGA_1_SC__CR2 CYREG_SC2_CR2
#define PGA_1_SC__MSK CYREG_SC_MSK
#define PGA_1_SC__MSK_MASK 0x04u
#define PGA_1_SC__PM_ACT_CFG CYREG_PM_ACT_CFG9
#define PGA_1_SC__PM_ACT_MSK 0x04u
#define PGA_1_SC__PM_STBY_CFG CYREG_PM_STBY_CFG9
#define PGA_1_SC__PM_STBY_MSK 0x04u
#define PGA_1_SC__SR CYREG_SC_SR
#define PGA_1_SC__SR_MASK 0x04u
#define PGA_1_SC__SW0 CYREG_SC2_SW0
#define PGA_1_SC__SW10 CYREG_SC2_SW10
#define PGA_1_SC__SW2 CYREG_SC2_SW2
#define PGA_1_SC__SW3 CYREG_SC2_SW3
#define PGA_1_SC__SW4 CYREG_SC2_SW4
#define PGA_1_SC__SW6 CYREG_SC2_SW6
#define PGA_1_SC__SW7 CYREG_SC2_SW7
#define PGA_1_SC__SW8 CYREG_SC2_SW8
#define PGA_1_SC__WRK1 CYREG_SC_WRK1
#define PGA_1_SC__WRK1_MASK 0x04u

/* VDAC8_viDAC8 */
#define VDAC8_viDAC8__CR0 CYREG_DAC0_CR0
#define VDAC8_viDAC8__CR1 CYREG_DAC0_CR1
#define VDAC8_viDAC8__D CYREG_DAC0_D
#define VDAC8_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define VDAC8_viDAC8__PM_ACT_MSK 0x01u
#define VDAC8_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define VDAC8_viDAC8__PM_STBY_MSK 0x01u
#define VDAC8_viDAC8__STROBE CYREG_DAC0_STROBE
#define VDAC8_viDAC8__SW0 CYREG_DAC0_SW0
#define VDAC8_viDAC8__SW2 CYREG_DAC0_SW2
#define VDAC8_viDAC8__SW3 CYREG_DAC0_SW3
#define VDAC8_viDAC8__SW4 CYREG_DAC0_SW4
#define VDAC8_viDAC8__TR CYREG_DAC0_TR
#define VDAC8_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC0_M1
#define VDAC8_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC0_M2
#define VDAC8_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC0_M3
#define VDAC8_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC0_M4
#define VDAC8_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC0_M5
#define VDAC8_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC0_M6
#define VDAC8_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC0_M7
#define VDAC8_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC0_M8
#define VDAC8_viDAC8__TST CYREG_DAC0_TST

/* Vaout */
#define Vaout__0__INTTYPE CYREG_PICU0_INTTYPE2
#define Vaout__0__MASK 0x04u
#define Vaout__0__PC CYREG_PRT0_PC2
#define Vaout__0__PORT 0u
#define Vaout__0__SHIFT 2u
#define Vaout__AG CYREG_PRT0_AG
#define Vaout__AMUX CYREG_PRT0_AMUX
#define Vaout__BIE CYREG_PRT0_BIE
#define Vaout__BIT_MASK CYREG_PRT0_BIT_MASK
#define Vaout__BYP CYREG_PRT0_BYP
#define Vaout__CTL CYREG_PRT0_CTL
#define Vaout__DM0 CYREG_PRT0_DM0
#define Vaout__DM1 CYREG_PRT0_DM1
#define Vaout__DM2 CYREG_PRT0_DM2
#define Vaout__DR CYREG_PRT0_DR
#define Vaout__INP_DIS CYREG_PRT0_INP_DIS
#define Vaout__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define Vaout__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Vaout__LCD_EN CYREG_PRT0_LCD_EN
#define Vaout__MASK 0x04u
#define Vaout__PORT 0u
#define Vaout__PRT CYREG_PRT0_PRT
#define Vaout__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Vaout__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Vaout__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Vaout__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Vaout__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Vaout__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Vaout__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Vaout__PS CYREG_PRT0_PS
#define Vaout__SHIFT 2u
#define Vaout__SLW CYREG_PRT0_SLW

/* Filter_DFB */
#define Filter_DFB__ACU_SRAM_DATA CYREG_DFB0_ACU_SRAM_DATA_MBASE
#define Filter_DFB__COHER CYREG_DFB0_COHER
#define Filter_DFB__CR CYREG_DFB0_CR
#define Filter_DFB__CSA_SRAM_DATA CYREG_DFB0_CSA_SRAM_DATA_MBASE
#define Filter_DFB__CSB_SRAM_DATA CYREG_DFB0_CSB_SRAM_DATA_MBASE
#define Filter_DFB__DALIGN CYREG_DFB0_DALIGN
#define Filter_DFB__DMA_CTRL CYREG_DFB0_DMA_CTRL
#define Filter_DFB__DPA_SRAM_DATA CYREG_DFB0_DPA_SRAM_DATA_MBASE
#define Filter_DFB__DPB_SRAM_DATA CYREG_DFB0_DPB_SRAM_DATA_MBASE
#define Filter_DFB__DSI_CTRL CYREG_DFB0_DSI_CTRL
#define Filter_DFB__FSM_SRAM_DATA CYREG_DFB0_FSM_SRAM_DATA_MBASE
#define Filter_DFB__HOLDA CYREG_DFB0_HOLDA
#define Filter_DFB__HOLDAH CYREG_DFB0_HOLDAH
#define Filter_DFB__HOLDAM CYREG_DFB0_HOLDAM
#define Filter_DFB__HOLDAS CYREG_DFB0_HOLDAS
#define Filter_DFB__HOLDB CYREG_DFB0_HOLDB
#define Filter_DFB__HOLDBH CYREG_DFB0_HOLDBH
#define Filter_DFB__HOLDBM CYREG_DFB0_HOLDBM
#define Filter_DFB__HOLDBS CYREG_DFB0_HOLDBS
#define Filter_DFB__INT_CTRL CYREG_DFB0_INT_CTRL
#define Filter_DFB__PM_ACT_CFG CYREG_PM_ACT_CFG6
#define Filter_DFB__PM_ACT_MSK 0x10u
#define Filter_DFB__PM_STBY_CFG CYREG_PM_STBY_CFG6
#define Filter_DFB__PM_STBY_MSK 0x10u
#define Filter_DFB__RAM_DIR CYREG_DFB0_RAM_DIR
#define Filter_DFB__RAM_EN CYREG_DFB0_RAM_EN
#define Filter_DFB__SEMA CYREG_DFB0_SEMA
#define Filter_DFB__SR CYREG_DFB0_SR
#define Filter_DFB__STAGEA CYREG_DFB0_STAGEA
#define Filter_DFB__STAGEAH CYREG_DFB0_STAGEAH
#define Filter_DFB__STAGEAM CYREG_DFB0_STAGEAM
#define Filter_DFB__STAGEB CYREG_DFB0_STAGEB
#define Filter_DFB__STAGEBH CYREG_DFB0_STAGEBH
#define Filter_DFB__STAGEBM CYREG_DFB0_STAGEBM

/* LCD_Char_LCDPort */
#define LCD_Char_LCDPort__0__INTTYPE CYREG_PICU2_INTTYPE0
#define LCD_Char_LCDPort__0__MASK 0x01u
#define LCD_Char_LCDPort__0__PC CYREG_PRT2_PC0
#define LCD_Char_LCDPort__0__PORT 2u
#define LCD_Char_LCDPort__0__SHIFT 0u
#define LCD_Char_LCDPort__1__INTTYPE CYREG_PICU2_INTTYPE1
#define LCD_Char_LCDPort__1__MASK 0x02u
#define LCD_Char_LCDPort__1__PC CYREG_PRT2_PC1
#define LCD_Char_LCDPort__1__PORT 2u
#define LCD_Char_LCDPort__1__SHIFT 1u
#define LCD_Char_LCDPort__2__INTTYPE CYREG_PICU2_INTTYPE2
#define LCD_Char_LCDPort__2__MASK 0x04u
#define LCD_Char_LCDPort__2__PC CYREG_PRT2_PC2
#define LCD_Char_LCDPort__2__PORT 2u
#define LCD_Char_LCDPort__2__SHIFT 2u
#define LCD_Char_LCDPort__3__INTTYPE CYREG_PICU2_INTTYPE3
#define LCD_Char_LCDPort__3__MASK 0x08u
#define LCD_Char_LCDPort__3__PC CYREG_PRT2_PC3
#define LCD_Char_LCDPort__3__PORT 2u
#define LCD_Char_LCDPort__3__SHIFT 3u
#define LCD_Char_LCDPort__4__INTTYPE CYREG_PICU2_INTTYPE4
#define LCD_Char_LCDPort__4__MASK 0x10u
#define LCD_Char_LCDPort__4__PC CYREG_PRT2_PC4
#define LCD_Char_LCDPort__4__PORT 2u
#define LCD_Char_LCDPort__4__SHIFT 4u
#define LCD_Char_LCDPort__5__INTTYPE CYREG_PICU2_INTTYPE5
#define LCD_Char_LCDPort__5__MASK 0x20u
#define LCD_Char_LCDPort__5__PC CYREG_PRT2_PC5
#define LCD_Char_LCDPort__5__PORT 2u
#define LCD_Char_LCDPort__5__SHIFT 5u
#define LCD_Char_LCDPort__6__INTTYPE CYREG_PICU2_INTTYPE6
#define LCD_Char_LCDPort__6__MASK 0x40u
#define LCD_Char_LCDPort__6__PC CYREG_PRT2_PC6
#define LCD_Char_LCDPort__6__PORT 2u
#define LCD_Char_LCDPort__6__SHIFT 6u
#define LCD_Char_LCDPort__AG CYREG_PRT2_AG
#define LCD_Char_LCDPort__AMUX CYREG_PRT2_AMUX
#define LCD_Char_LCDPort__BIE CYREG_PRT2_BIE
#define LCD_Char_LCDPort__BIT_MASK CYREG_PRT2_BIT_MASK
#define LCD_Char_LCDPort__BYP CYREG_PRT2_BYP
#define LCD_Char_LCDPort__CTL CYREG_PRT2_CTL
#define LCD_Char_LCDPort__DM0 CYREG_PRT2_DM0
#define LCD_Char_LCDPort__DM1 CYREG_PRT2_DM1
#define LCD_Char_LCDPort__DM2 CYREG_PRT2_DM2
#define LCD_Char_LCDPort__DR CYREG_PRT2_DR
#define LCD_Char_LCDPort__INP_DIS CYREG_PRT2_INP_DIS
#define LCD_Char_LCDPort__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU2_BASE
#define LCD_Char_LCDPort__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LCD_Char_LCDPort__LCD_EN CYREG_PRT2_LCD_EN
#define LCD_Char_LCDPort__MASK 0x7Fu
#define LCD_Char_LCDPort__PORT 2u
#define LCD_Char_LCDPort__PRT CYREG_PRT2_PRT
#define LCD_Char_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LCD_Char_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LCD_Char_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LCD_Char_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LCD_Char_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LCD_Char_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LCD_Char_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LCD_Char_LCDPort__PS CYREG_PRT2_PS
#define LCD_Char_LCDPort__SHIFT 0u
#define LCD_Char_LCDPort__SLW CYREG_PRT2_SLW

/* Reg_Disp */
#define Reg_Disp_sts_sts_reg__0__MASK 0x01u
#define Reg_Disp_sts_sts_reg__0__POS 0
#define Reg_Disp_sts_sts_reg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB11_12_ACTL
#define Reg_Disp_sts_sts_reg__16BIT_STATUS_REG CYREG_B0_UDB11_12_ST
#define Reg_Disp_sts_sts_reg__MASK 0x01u
#define Reg_Disp_sts_sts_reg__MASK_REG CYREG_B0_UDB11_MSK
#define Reg_Disp_sts_sts_reg__STATUS_AUX_CTL_REG CYREG_B0_UDB11_ACTL
#define Reg_Disp_sts_sts_reg__STATUS_REG CYREG_B0_UDB11_ST

/* ADC_DelSig_DEC */
#define ADC_DelSig_DEC__COHER CYREG_DEC_COHER
#define ADC_DelSig_DEC__CR CYREG_DEC_CR
#define ADC_DelSig_DEC__DR1 CYREG_DEC_DR1
#define ADC_DelSig_DEC__DR2 CYREG_DEC_DR2
#define ADC_DelSig_DEC__DR2H CYREG_DEC_DR2H
#define ADC_DelSig_DEC__GCOR CYREG_DEC_GCOR
#define ADC_DelSig_DEC__GCORH CYREG_DEC_GCORH
#define ADC_DelSig_DEC__GVAL CYREG_DEC_GVAL
#define ADC_DelSig_DEC__OCOR CYREG_DEC_OCOR
#define ADC_DelSig_DEC__OCORH CYREG_DEC_OCORH
#define ADC_DelSig_DEC__OCORM CYREG_DEC_OCORM
#define ADC_DelSig_DEC__OUTSAMP CYREG_DEC_OUTSAMP
#define ADC_DelSig_DEC__OUTSAMPH CYREG_DEC_OUTSAMPH
#define ADC_DelSig_DEC__OUTSAMPM CYREG_DEC_OUTSAMPM
#define ADC_DelSig_DEC__OUTSAMPS CYREG_DEC_OUTSAMPS
#define ADC_DelSig_DEC__PM_ACT_CFG CYREG_PM_ACT_CFG10
#define ADC_DelSig_DEC__PM_ACT_MSK 0x01u
#define ADC_DelSig_DEC__PM_STBY_CFG CYREG_PM_STBY_CFG10
#define ADC_DelSig_DEC__PM_STBY_MSK 0x01u
#define ADC_DelSig_DEC__SHIFT1 CYREG_DEC_SHIFT1
#define ADC_DelSig_DEC__SHIFT2 CYREG_DEC_SHIFT2
#define ADC_DelSig_DEC__SR CYREG_DEC_SR
#define ADC_DelSig_DEC__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DEC_M1
#define ADC_DelSig_DEC__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DEC_M2
#define ADC_DelSig_DEC__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DEC_M3
#define ADC_DelSig_DEC__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DEC_M4
#define ADC_DelSig_DEC__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DEC_M5
#define ADC_DelSig_DEC__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DEC_M6
#define ADC_DelSig_DEC__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DEC_M7
#define ADC_DelSig_DEC__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DEC_M8

/* ADC_DelSig_DSM */
#define ADC_DelSig_DSM__BUF0 CYREG_DSM0_BUF0
#define ADC_DelSig_DSM__BUF1 CYREG_DSM0_BUF1
#define ADC_DelSig_DSM__BUF2 CYREG_DSM0_BUF2
#define ADC_DelSig_DSM__BUF3 CYREG_DSM0_BUF3
#define ADC_DelSig_DSM__CLK CYREG_DSM0_CLK
#define ADC_DelSig_DSM__CR0 CYREG_DSM0_CR0
#define ADC_DelSig_DSM__CR1 CYREG_DSM0_CR1
#define ADC_DelSig_DSM__CR10 CYREG_DSM0_CR10
#define ADC_DelSig_DSM__CR11 CYREG_DSM0_CR11
#define ADC_DelSig_DSM__CR12 CYREG_DSM0_CR12
#define ADC_DelSig_DSM__CR13 CYREG_DSM0_CR13
#define ADC_DelSig_DSM__CR14 CYREG_DSM0_CR14
#define ADC_DelSig_DSM__CR15 CYREG_DSM0_CR15
#define ADC_DelSig_DSM__CR16 CYREG_DSM0_CR16
#define ADC_DelSig_DSM__CR17 CYREG_DSM0_CR17
#define ADC_DelSig_DSM__CR2 CYREG_DSM0_CR2
#define ADC_DelSig_DSM__CR3 CYREG_DSM0_CR3
#define ADC_DelSig_DSM__CR4 CYREG_DSM0_CR4
#define ADC_DelSig_DSM__CR5 CYREG_DSM0_CR5
#define ADC_DelSig_DSM__CR6 CYREG_DSM0_CR6
#define ADC_DelSig_DSM__CR7 CYREG_DSM0_CR7
#define ADC_DelSig_DSM__CR8 CYREG_DSM0_CR8
#define ADC_DelSig_DSM__CR9 CYREG_DSM0_CR9
#define ADC_DelSig_DSM__DEM0 CYREG_DSM0_DEM0
#define ADC_DelSig_DSM__DEM1 CYREG_DSM0_DEM1
#define ADC_DelSig_DSM__MISC CYREG_DSM0_MISC
#define ADC_DelSig_DSM__OUT0 CYREG_DSM0_OUT0
#define ADC_DelSig_DSM__OUT1 CYREG_DSM0_OUT1
#define ADC_DelSig_DSM__REF0 CYREG_DSM0_REF0
#define ADC_DelSig_DSM__REF1 CYREG_DSM0_REF1
#define ADC_DelSig_DSM__REF2 CYREG_DSM0_REF2
#define ADC_DelSig_DSM__REF3 CYREG_DSM0_REF3
#define ADC_DelSig_DSM__RSVD1 CYREG_DSM0_RSVD1
#define ADC_DelSig_DSM__SW0 CYREG_DSM0_SW0
#define ADC_DelSig_DSM__SW2 CYREG_DSM0_SW2
#define ADC_DelSig_DSM__SW3 CYREG_DSM0_SW3
#define ADC_DelSig_DSM__SW4 CYREG_DSM0_SW4
#define ADC_DelSig_DSM__SW6 CYREG_DSM0_SW6
#define ADC_DelSig_DSM__TR0 CYREG_NPUMP_DSM_TR0
#define ADC_DelSig_DSM__TST0 CYREG_DSM0_TST0
#define ADC_DelSig_DSM__TST1 CYREG_DSM0_TST1

/* ADC_DelSig_Ext_CP_Clk */
#define ADC_DelSig_Ext_CP_Clk__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define ADC_DelSig_Ext_CP_Clk__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define ADC_DelSig_Ext_CP_Clk__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define ADC_DelSig_Ext_CP_Clk__CFG2_SRC_SEL_MASK 0x07u
#define ADC_DelSig_Ext_CP_Clk__INDEX 0x00u
#define ADC_DelSig_Ext_CP_Clk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define ADC_DelSig_Ext_CP_Clk__PM_ACT_MSK 0x01u
#define ADC_DelSig_Ext_CP_Clk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define ADC_DelSig_Ext_CP_Clk__PM_STBY_MSK 0x01u

/* ADC_DelSig_IRQ */
#define ADC_DelSig_IRQ__ES2_PATCH 0u
#define ADC_DelSig_IRQ__INTC_CLR_EN_REG CYREG_INTC_CLR_EN3
#define ADC_DelSig_IRQ__INTC_CLR_PD_REG CYREG_INTC_CLR_PD3
#define ADC_DelSig_IRQ__INTC_MASK 0x20u
#define ADC_DelSig_IRQ__INTC_NUMBER 29u
#define ADC_DelSig_IRQ__INTC_PRIOR_NUM 7u
#define ADC_DelSig_IRQ__INTC_PRIOR_REG CYREG_INTC_PRIOR29
#define ADC_DelSig_IRQ__INTC_SET_EN_REG CYREG_INTC_SET_EN3
#define ADC_DelSig_IRQ__INTC_SET_PD_REG CYREG_INTC_SET_PD3
#define ADC_DelSig_IRQ__INTC_VECT (CYREG_INTC_VECT_MBASE+0x3Au)

/* ADC_DelSig_theACLK */
#define ADC_DelSig_theACLK__CFG0 CYREG_CLKDIST_ACFG0_CFG0
#define ADC_DelSig_theACLK__CFG1 CYREG_CLKDIST_ACFG0_CFG1
#define ADC_DelSig_theACLK__CFG2 CYREG_CLKDIST_ACFG0_CFG2
#define ADC_DelSig_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_DelSig_theACLK__CFG3 CYREG_CLKDIST_ACFG0_CFG3
#define ADC_DelSig_theACLK__CFG3_PHASE_DLY_MASK 0x0Fu
#define ADC_DelSig_theACLK__INDEX 0x00u
#define ADC_DelSig_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define ADC_DelSig_theACLK__PM_ACT_MSK 0x01u
#define ADC_DelSig_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define ADC_DelSig_theACLK__PM_STBY_MSK 0x01u

/* Clock_Disp */
#define Clock_Disp__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define Clock_Disp__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define Clock_Disp__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define Clock_Disp__CFG2_SRC_SEL_MASK 0x07u
#define Clock_Disp__INDEX 0x01u
#define Clock_Disp__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_Disp__PM_ACT_MSK 0x02u
#define Clock_Disp__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_Disp__PM_STBY_MSK 0x02u

/* Miscellaneous */
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CY_PROJECT_NAME "20170105_Filter_ADC"
#define CY_VERSION "PSoC Creator  4.0"
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PSOC4A 12u
#define CYDEV_CHIP_DIE_PSOC5LP 19u
#define CYDEV_CHIP_DIE_PSOC5TM 20u
#define CYDEV_CHIP_DIE_TMA4 2u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_FM0P 4u
#define CYDEV_CHIP_FAMILY_FM3 5u
#define CYDEV_CHIP_FAMILY_FM4 6u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC3
#define CYDEV_CHIP_JTAG_ID 0x1E028069u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 12u
#define CYDEV_CHIP_MEMBER_4C 18u
#define CYDEV_CHIP_MEMBER_4D 8u
#define CYDEV_CHIP_MEMBER_4E 4u
#define CYDEV_CHIP_MEMBER_4F 13u
#define CYDEV_CHIP_MEMBER_4G 2u
#define CYDEV_CHIP_MEMBER_4H 11u
#define CYDEV_CHIP_MEMBER_4I 17u
#define CYDEV_CHIP_MEMBER_4J 9u
#define CYDEV_CHIP_MEMBER_4K 10u
#define CYDEV_CHIP_MEMBER_4L 16u
#define CYDEV_CHIP_MEMBER_4M 15u
#define CYDEV_CHIP_MEMBER_4N 6u
#define CYDEV_CHIP_MEMBER_4O 5u
#define CYDEV_CHIP_MEMBER_4P 14u
#define CYDEV_CHIP_MEMBER_4Q 7u
#define CYDEV_CHIP_MEMBER_4U 3u
#define CYDEV_CHIP_MEMBER_5A 20u
#define CYDEV_CHIP_MEMBER_5B 19u
#define CYDEV_CHIP_MEMBER_FM3 24u
#define CYDEV_CHIP_MEMBER_FM4 25u
#define CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE1 21u
#define CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE2 22u
#define CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE3 23u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_3A
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_MEMBER_USED
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CHIP_REV_PSOC5TM_ES0 0u
#define CYDEV_CHIP_REV_PSOC5TM_ES1 1u
#define CYDEV_CHIP_REV_PSOC5TM_PRODUCTION 1u
#define CYDEV_CHIP_REV_TMA4_ES 17u
#define CYDEV_CHIP_REV_TMA4_ES2 33u
#define CYDEV_CHIP_REV_TMA4_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4C_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4D_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4E_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256DMA 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256K 0u
#define CYDEV_CHIP_REVISION_4G_ES 17u
#define CYDEV_CHIP_REVISION_4G_ES2 33u
#define CYDEV_CHIP_REVISION_4G_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4H_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4I_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4J_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4K_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4L_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4M_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4N_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4O_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4P_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4Q_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4U_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_FM3_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_FM4_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_PDL_FM0P_TYPE1_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_PDL_FM0P_TYPE2_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_PDL_FM0P_TYPE3_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_3A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REVISION_USED
#define CYDEV_CONFIG_FASTBOOT_ENABLED 0
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CONFIGURATION_CLEAR_SRAM 1
#define CYDEV_CONFIGURATION_COMPRESSED 0
#define CYDEV_CONFIGURATION_DMA 1
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_DMA
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x01u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x00000000u
#define CYDEV_IS_EXPORTING_CODE 0
#define CYDEV_IS_IMPORTING_CODE 0
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LAUNCHER 5
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER 4
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5.0
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5.0
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5.0
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5.0
#define CYDEV_VIO3_MV 5000
#define CYIPBLOCK_DP8051_VERSION 0
#define CYIPBLOCK_P3_ANAIF_VERSION 0
#define CYIPBLOCK_P3_CAN_VERSION 0
#define CYIPBLOCK_P3_CAPSENSE_VERSION 0
#define CYIPBLOCK_P3_COMP_VERSION 0
#define CYIPBLOCK_P3_DECIMATOR_VERSION 0
#define CYIPBLOCK_P3_DFB_VERSION 0
#define CYIPBLOCK_P3_DMA_VERSION 0
#define CYIPBLOCK_P3_DRQ_VERSION 0
#define CYIPBLOCK_P3_DSM_VERSION 0
#define CYIPBLOCK_P3_EMIF_VERSION 0
#define CYIPBLOCK_P3_I2C_VERSION 0
#define CYIPBLOCK_P3_LCD_VERSION 0
#define CYIPBLOCK_P3_LPF_VERSION 0
#define CYIPBLOCK_P3_OPAMP_VERSION 0
#define CYIPBLOCK_P3_PM_VERSION 0
#define CYIPBLOCK_P3_SCCT_VERSION 0
#define CYIPBLOCK_P3_TIMER_VERSION 0
#define CYIPBLOCK_P3_USB_VERSION 0
#define CYIPBLOCK_P3_VIDAC_VERSION 0
#define CYIPBLOCK_P3_VREF_VERSION 0
#define CYIPBLOCK_S8_GPIO_VERSION 0
#define CYIPBLOCK_S8_IRQ_VERSION 0
#define CYIPBLOCK_S8_SIO_VERSION 0
#define CYIPBLOCK_S8_UDB_VERSION 0
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
