#include "Filter.h"
#include "Filter_PVT.h"


/*******************************************************************************
* ChannelA filter coefficients.
* Filter Type is: Biquad
*******************************************************************************/

/* Renamed array for backward compatibility.
*  Should not be used in new designs.
*/
#define ChannelABiquadCoefficients Filter_ChannelABiquadCoefficients

/* Number of Biquad sections are: 2 */

const uint8 CYCODE Filter_ChannelABiquadCoefficients[Filter_BIQUAD_A_SIZE] = 
{
 /* Coefficients of Section 0 */
 0x33u, 0x56u, 0x3Fu, 0x00u, /* Section(0)_A0, 0.989636182785034 */

 0x51u, 0x53u, 0x82u, 0x00u, /* Section(0)_A1, -1.96366477012634 */

 0x33u, 0x56u, 0x3Fu, 0x00u, /* Section(0)_A2, 0.989636182785034 */

 0xAFu, 0xACu, 0x7Du, 0x00u, /* Section(0)_B1, -1.96366477012634 */

 0x9Au, 0x53u, 0xC1u, 0x00u, /* Section(0)_B2, 0.979272365570068 */

 /* Coefficients of Section 1 */
 0xB0u, 0xFBu, 0x16u, 0x00u, /* Section(1)_A0, 0.359111785888672 */

 0x60u, 0xF7u, 0x2Du, 0x00u, /* Section(1)_A1, 0.718223571777344 */

 0xB0u, 0xFBu, 0x16u, 0x00u, /* Section(1)_A2, 0.359111785888672 */

 0x24u, 0xCDu, 0x41u, 0x00u, /* Section(1)_B1, -1.0281457901001 */

 0x25u, 0x06u, 0xE7u, 0x00u, /* Section(1)_B2, 0.390249967575073 */
};

